
  <!DOCTYPE html>
  <html>
    <head>
      <title>FormFieldFloatTextValue.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/project-settings/components/FormFieldFloatTextValue.tsx</td><td class="">96.15%</td><td class="">80%</td><td class="">26</td><td class="">25</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import {
  FloatTextInput,
  FloatTextInputProps
} from &#x27;../../../components/FloatInput/FloatInput&#x27;;
import { useField } from &#x27;./FormContext&#x27;;

export const FormFieldFloatTextValue: React.FC&lt;
  Omit&lt;FloatTextInputProps, &#x27;value&#x27; | &#x27;onChange&#x27;&gt; &amp; { fieldName: string }
&gt; = ({ fieldName, ...props }) =&gt; {
  const field = useField(fieldName);
  return (
    &lt;FloatTextInput
      value={field.value}
      onChange={field.onChange}
      error={field.error}
      {...props}
    /&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/project-settings/components/FormFieldFloatTextValue.tsx&quot;,&quot;line&quot;:13,&quot;character&quot;:19,&quot;text&quot;:&quot;value&quot;,&quot;kind&quot;:1}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  